Bug 779876 - (SOA-2235) SmooksAction should re-throw SmooksException
SmooksAction should re-throw SmooksException
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.2
Unspecified Unspecified
high Severity high
: ---
: FUTURE
Assigned To: kconner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 10:33 EDT by Martin Weiler
Modified: 2012-08-14 09:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2235 None Closed SmooksAction should re-throw SmooksException 2012-05-03 08:38:41 EDT

  None (edit)
Description Martin Weiler 2010-08-19 10:33:28 EDT
Help Desk Ticket Reference: https://na7.salesforce.com/500A0000003hVxw
project_key: SOA

Using a SmooksAction to convert an XML to Java POJO, we ran into a problem. None of the actions after the SmooksAction were being prcessed. However, there were no errors in the server logs.

Only after enabling DEBUG logging we could see that the Smooks transformation was failing:

 DEBUG [org.jboss.soa.esb.listeners.message.ActionProcessingPipeline] (pool-34-thread-1) Unexpected exception caught while processing the action pipeline
org.milyn.SmooksException: Failed to filter source.
	at org.milyn.delivery.sax.SmooksSAXFilter.doFilter(SmooksSAXFilter.java:72)
	at org.milyn.delivery.sax.SmooksSAXFilter.doFilter(SmooksSAXFilter.java:55)
	at org.milyn.Smooks._filter(Smooks.java:479)
	at org.milyn.Smooks.filterSource(Smooks.java:448)
	at org.milyn.container.plugin.PayloadProcessor.process(PayloadProcessor.java:112)
	at org.jboss.soa.esb.smooks.SmooksAction.process(SmooksAction.java:218)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:634)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:588)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.process(ActionProcessingPipeline.java:419)
	at org.jboss.soa.esb.listeners.message.MessageAwareListener$TransactionalRunner.run(MessageAwareListener.java:540)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

Why are parse errors not reported during a smooks action? The action fails silently without reporting the cause of failure.
Comment 1 Kevin Conner 2010-08-19 11:26:47 EDT
The exception is sent back to the caller of the service, as part of the normal processing of the pipeline.

RuntimeExceptions may also cause the message to be redelivered, if it is executing in a transactional context.
Comment 2 Martin Weiler 2010-09-08 03:52:41 EDT
Help Desk Ticket Reference: Removed: https://access.redhat.com/issue-tracker/1267713 Added: https://na7.salesforce.com/500A0000003hVxw
Comment 4 Rick Wagner 2011-12-05 15:55:06 EST
Rick reviewing old JIRAs.  Smooks not logging Exceptions.  Valid complaint, Smooks can be difficult, needs refinement.  Leaving Open.

Note You need to log in before you can comment on or make changes to this bug.